<?xml version="1.0" encoding="UTF-8"?>
<!--
-
- IBM Confidential
- OCO Source Materials
- 
- (C) Copyright IBM Corporation 2007. All rights reserved. 
-                                                                                   
- The source code for this program is not published or otherwise divested of
- its trade secrets, irrespective of what has been deposited with the U.S. 
- Copyright Office. 
- 
-->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:local="local">
<xsl:output encoding="UTF-8"/>
<!-- xsl:include isn't working in ISC but working in WAS
 <xsl:include href="ReportStyle.xsl"/> 
-->
<xsl:variable name="css">
BODY {
      PADDING-RIGHT: 0px; PADDING-LEFT: 0px; PADDING-BOTTOM: 0px; MARGIN: 0px; PADDING-TOP: 0px; BACKGROUND-COLOR: white; TEXT-ALIGN: left; FONT-FAMILY: Verdana, Arial, Sans-serif;
}
DIV.letterhead {
      FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif; FONT-WEIGHT: bold; FONT-SIZE: 80%; BACKGROUND-COLOR: #D1EDF9; border: 1px solid #a9a9a9; padding:10px; 
  }
DIV.letterheadtitle {
  padding:0px; font-size:80%;
}

DIV.threshold {
  padding:0px; font-size:80%;
}

DIV.threshold table {
  border-collapse: collapse; width:100%; padding-left:10px; font-size:100%;
}
DIV.threshold td {
  padding:10px; border:1px solid #a9a9a9; vertical-align:top;
}

DIV.threshold table table td, DIV.threshold table table th {
  padding:0px; border:none; vertical-align:top; text-align:left;
}

DIV.letterheadtitle table {
  border-collapse: collapse; width:100%; padding-left:10px; font-size:100%;
}
DIV.letterheadtitle td {
  padding:10px; border:1px solid #a9a9a9; border-top: none; vertical-align:top;
}

DIV.letterheadtitle table table td, DIV.letterheadtitle table table th {
  padding:0px; border:none; vertical-align:top; text-align:left; 
}


DIV.subtitle, DIV.subtitle_only {
  padding:10px; font-size:80%; border:1px solid #a9a9a9; background:#5090D0; font-weight:bold; color:#FFFFFF;
}
DIV.subtitle {
  border-bottom:0px;
}

UL.letterhead {
    PADDING-RIGHT: 0px; MARGIN-TOP: 0px; DISPLAY: inline; PADDING-LEFT: 0px; LIST-STYLE-IMAGE: none; PADDING-BOTTOM: 0px; MARGIN-RIGHT: 0px; PADDING-TOP: 0px; LIST-STYLE-TYPE: none; float:right; WHITE-SPACE: nowrap; padding-left: 20px;
}
LI.letterhead {
    DISPLAY: inline
}
A.letterhead:link {
    TEXT-DECORATION: none
}
A.letterhead:visited {
    TEXT-DECORATION: none
}
A.letterhead:hover {
    TEXT-DECORATION: underline
}
A.letterhead:active {
    TEXT-DECORATION: none
}

.style3 {color: #FF0000}


TABLE.reportTable TD, TABLE.reportTABLE TH {
	border: 1px inset #cccccc;
	vertical-align: top;
    padding-left:4px;
    padding-right:4px;
}

TABLE.reportTable TD.number, TABLE.reportTable TH.number {
  text-align:right;
}
TABLE.reportTable {
    border: 1px solid #a9a9a9;
	border-collapse: collapse;
	width:100%;
	font-size:80%;
	padding-left:1em;
}
TABLE.reportTable TH, TABLE.reportTable TR.total{
  background: #D1EDF9;
  font-weight: bold;
}

TABLE.reportTable TH {
  text-align:left;
}

TABLE.reportTable TD.error {
  background: #ffcccc;
  font-weight: bold;
}
TABLE.reportTable TD.errortext {
  font-weight: bold;
}

TABLE.reportTable TR.even {
  background: #F5F4F4;  
}

IMG.latency {
  border:1px solid #a9a9a9
}
</xsl:variable>

  <xsl:variable name="title.Latency" select="//resources/title_latency"/>  
  <xsl:variable name="title.DateGenerated" select="//resources/title_dategenerated"/>  
  <xsl:variable name="title.TimeRange" select="//resources/title_timerange"/>    
  <xsl:variable name="title.NoData" select="//resources/title_nodata"/>
  <xsl:variable name="title.ProgramsInReport" select="//resources/title_programsinreport"/>    
  <xsl:variable name="title.QueuesInReport" select="//resources/title_queuesinreport"/>  
  <xsl:variable name="title.Threshold" select="//resources/title_threshold"/>    
  <xsl:variable name="title.ThresholdExceeded" select="//resources/title_thresholdexceeded"/>      
  
  <xsl:variable name="summary.Title" select="//resources/summary_title"/>    
  <xsl:variable name="summary.Type" select="//resources/summary_type"/>    
  <xsl:variable name="summary.EndToEndAverage" select="//resources/summary_endtoendaverage"/>      
  <xsl:variable name="summary.MQ" select="//resources/summary_mq"/>
  <xsl:variable name="summary.QCapture" select="//resources/summary_qcapture"/>
  <xsl:variable name="summary.QApply" select="//resources/summary_qapply"/>
  <xsl:variable name="summary.Highest" select="//resources/summary_highest"/>    
  <xsl:variable name="summary.Average" select="//resources/summary_average"/>    
  <xsl:variable name="summary.Best" select="//resources/summary_best"/>
  <xsl:variable name="summary.Median" select="//resources/summary_median"/>    
  
  <xsl:variable name="graph.Title" select="//resources/graph_title"/>  
  
  <xsl:variable name="latency.Title" select="//resources/table_title"/>  
  <xsl:variable name="latency.Row" select="//resources/table_row"/>  
  <xsl:variable name="latency.Time" select="//resources/table_time"/>  
  <xsl:variable name="latency.EndToEndAverage" select="//resources/table_endtoendaverage"/>
  <xsl:variable name="latency.MQ" select="//resources/table_mq"/>
  <xsl:variable name="latency.QCapture" select="//resources/table_qcapture"/>    
  <xsl:variable name="latency.QApply" select="//resources/table_qapply"/>
  <xsl:variable name="latency.Throughput" select="//resources/table_throughput"/>      
 
<xsl:template match="/">
<html>
<head>
<title><xsl:value-of select="$title.Latency" disable-output-escaping="yes"/> - <xsl:value-of select="//viewName" disable-output-escaping="yes"/> - <xsl:value-of select="//title_servers" disable-output-escaping="yes"/> - <xsl:value-of select="//date" disable-output-escaping="yes"/></title>
     <style type="text/css">
     <xsl:value-of select="$css"/>
     </style>
</head>
<body>
<!-- 
	<DIV class="pageheadtitle">

		<div align="left">
			<p align="right">Latency Report for <xsl:value-of select="//queue"/></p>
		</div>
	</DIV>
-->
	<DIV class="letterhead">
    <div>	    
   		    <xsl:value-of select="$title.Latency" disable-output-escaping="yes"/>
    </div>
    </DIV>
    
	<div class="letterheadtitle">		    
	<table><tr><td>
	  <table>
        <tr>
	        <!-- Date generated and time range for the report -->
			<th><xsl:value-of select="$title.DateGenerated" disable-output-escaping="yes"/></th>
			<td><xsl:value-of select="//date" disable-output-escaping="yes"/></td>
		</tr>
		<tr>
			<th><xsl:value-of select="$title.TimeRange" disable-output-escaping="yes"/></th>
			<td><xsl:value-of select="//timerange" disable-output-escaping="yes"/></td>
		</tr>
		<tr>
		  <th><xsl:value-of select="$title.ProgramsInReport" disable-output-escaping="yes"/></th>
          <td>
			    <!-- list of server names -->
			<xsl:for-each select = "//server" > 
				<xsl:value-of select = "." disable-output-escaping="yes"/> 
			    <!-- add a comma unless it's the last server -->
				<xsl:if test = "not(position()=last())" > 
					<xsl:text >, </xsl:text> 
				</xsl:if> 
			</xsl:for-each>
          </td>
        </tr>
        <tr>        
          <th><xsl:value-of select="$title.QueuesInReport" disable-output-escaping="yes"/></th>
	  	  <td><xsl:value-of select="//queue" disable-output-escaping="yes"/></td>
        </tr>        
        </table>
     </td></tr></table>
	</div>   
	<p/>
	
  <xsl:variable name="_numberofdata" select="//numberofdata"/>
  <xsl:choose>
  <xsl:when test="$_numberofdata &gt; 0">
    <div style="width:1002px">
    <div class="subtitle">
	<xsl:value-of select="$graph.Title" disable-output-escaping="yes"/>
	</div>

	<img class="latency" width='1000' height='200'>
      <xsl:attribute name="src">
        <xsl:value-of select="//url"/>
      </xsl:attribute>
	</img>
	</div>
	<p/>
  	
    <!-- summary table for the number of errors, warnings, last error and last warning  -->

	
    <div class="subtitle">
	<xsl:value-of select="$summary.Title" disable-output-escaping="yes"/>
	</div>

	<div class="threshold">	
	<table><tr><td>
	<table>
    	<tr>        
        	  <th style="width: 250px"><xsl:value-of select="$title.Threshold" disable-output-escaping="yes"/></th>
		  	  <td><xsl:value-of select="//threshold" disable-output-escaping="yes"/></td>
    	 </tr>
	     <tr>        
    	      <th style="width: 250px"><xsl:value-of select="$title.ThresholdExceeded" disable-output-escaping="yes"/></th>
	  		  <td><xsl:value-of select="//thresholdExceeded"/></td>
	     </tr>
	</table>
     </td></tr></table>
	</div>
		
	<table class="reportTable">
		<tr>
			<th align="left"><xsl:value-of select="$summary.Type" disable-output-escaping="yes"/></th> 
			<th align="left"><xsl:value-of select="$summary.EndToEndAverage" disable-output-escaping="yes"/></th> 
			<th align="left"><xsl:value-of select="$summary.QCapture" disable-output-escaping="yes"/></th> 
			<th align="left"><xsl:value-of select="$summary.MQ" disable-output-escaping="yes"/></th> 
			<th align="left"><xsl:value-of select="$summary.QApply" disable-output-escaping="yes"/></th> 
		</tr>
		<tr>
		 <td><xsl:value-of select="$summary.Average" disable-output-escaping="yes"/></td>
		 <td class="number"><xsl:value-of select="//avglatency/avgendtoendlatency"/></td>
		 <td class="number"><xsl:value-of select="//avglatency/avgqcaptureendlatency"/></td>
		 <td class="number"><xsl:value-of select="//avglatency/avgqueuelatency"/></td>
 		 <td class="number"><xsl:value-of select="//avglatency/avgqapplylatency"/></td>
		 </tr>

		<tr class="even">		
		 <!-- highest statistic -->
		 <td><xsl:value-of select="$summary.Highest" disable-output-escaping="yes"/></td>
		 <!-- highest end to end -->
		 <td class="number">
		        <a>
					<xsl:attribute name="href">	
							<xsl:text>#</xsl:text><xsl:value-of select="//highestlatency/highestendtoendlatencyAnchor"/>
					</xsl:attribute>
					 <xsl:value-of select="//highestlatency/highestendtoendlatencyvalue"/> 
				</a>
		 </td>

		 <!-- highest q capture latency -->
		 <td class="number">
		 		<a>
					<xsl:attribute name="href">	
							<xsl:text>#</xsl:text><xsl:value-of select="//highestlatency/highestqcapturelatencyAnchor"/>
					</xsl:attribute>
					 <xsl:value-of select="//highestlatency/highestqcapturelatencyvalue"/> 
				</a>
		 </td>

		 <!-- highest queue latency -->
		 <td class="number">
		 		<a>
					<xsl:attribute name="href">	
							<xsl:text>#</xsl:text><xsl:value-of select="//highestlatency/highestqueuelatencyAnchor"/>
					</xsl:attribute>
					<xsl:value-of select="//highestlatency/highestqueuelatencyvalue"/> 
				</a>
		</td>

		 <!-- highest q apply latency -->
 		 <td class="number">
 		  		<a>
					<xsl:attribute name="href">	
							<xsl:text>#</xsl:text><xsl:value-of select="//highestlatency/highestqapplylatencyAnchor"/>
					</xsl:attribute>
					<xsl:value-of select="//highestlatency/highestqapplylatencyvalue"/> 
				</a> 		 
		</td>
		 		 
		 </tr>
		 <tr>
		 <td><xsl:value-of select="$summary.Best" disable-output-escaping="yes"/></td>
		 <td class="number">
		        <a>
					<xsl:attribute name="href">	
							<xsl:text>#</xsl:text><xsl:value-of select="//bestlatency/bestendtoendlatencyAnchor"/>
					</xsl:attribute>
					<xsl:value-of select="//bestlatency/bestendtoendlatencyvalue"/>
				</a>		  
		 </td>
		 <td class="number">
		        <a>
					<xsl:attribute name="href">	
							<xsl:text>#</xsl:text><xsl:value-of select="//bestlatency/bestqcapturelatencyAnchor"/>
					</xsl:attribute>
					<xsl:value-of select="//bestlatency/bestqcapturelatencyvalue"/>
				</a>		  
		 </td>
		 <td class="number">
		        <a>
					<xsl:attribute name="href">	
							<xsl:text>#</xsl:text><xsl:value-of select="//bestlatency/bestqueuelatencyAnchor"/>
					</xsl:attribute>
					<xsl:value-of select="//bestlatency/bestqueuelatencyvalue"/>
				</a>		  
		 </td>
 		 <td class="number">
		        <a>
					<xsl:attribute name="href">	
							<xsl:text>#</xsl:text><xsl:value-of select="//bestlatency/bestqapplylatencyAnchor"/>
					</xsl:attribute>
					<xsl:value-of select="//bestlatency/bestqapplylatencyvalue"/>
				</a>		  
		 </td>
		 </tr>
	</table>
<p/>	
		
<!--  <p><a href="#endofreport">End of Report</a></p>--> 
  	<!-- detail table for latency -->
    <div class="subtitle">
	<xsl:value-of select="$latency.Title" disable-output-escaping="yes"/>
	</div>
    
	<table class="reportTable">
		 <colgroup>
			<col/>
			<col span="5" width="*"/>
			<col width="25%"/>
	  	</colgroup>				

		<tr>
		    <th><xsl:value-of select="$latency.Row" disable-output-escaping="yes"/></th>
			<th><xsl:value-of select="$latency.EndToEndAverage" disable-output-escaping="yes"/></th> 
			<th><xsl:value-of select="$latency.QCapture" disable-output-escaping="yes"/></th> 
			<th><xsl:value-of select="$latency.MQ" disable-output-escaping="yes"/></th> 
			<th><xsl:value-of select="$latency.QApply" disable-output-escaping="yes"/></th>        
			<th><xsl:value-of select="$latency.Throughput" disable-output-escaping="yes"/></th>			
			<th><xsl:value-of select="$latency.Time" disable-output-escaping="yes"/></th> 			
		</tr>
      
	  
  		<!-- variables for tag generation -->			
		<xsl:variable name="hendtoendlatencyvalue" select="//highestlatency/highestendtoendlatency"/>
		<xsl:variable name="hqcapturelatencyvalue" select="//highestlatency/highestqcapturelatency"/>
		<xsl:variable name="hqueuelatencyvalue" select="//highestlatency/highestqueuelatency"/>
		<xsl:variable name="hqapplylatencyvalue" select="//highestlatency/highestqapplylatency"/>

		<xsl:variable name="bendtoendlatencyvalue" select="//bestlatency/bestendtoendlatency"/>
		<xsl:variable name="bqcapturelatencyvalue" select="//bestlatency/bestqcapturelatency"/>
		<xsl:variable name="bqueuelatencyvalue" select="//bestlatency/bestqueuelatency"/>
		<xsl:variable name="bqapplylatencyvalue" select="//bestlatency/bestqapplylatency"/>
		<xsl:variable name="bqapplylatencyvalue" select="//bestlatency/bestqapplylatency"/>

		<xsl:variable name="thresholdValue" select="//thresholdValue"/>
       	<!-- detail table for latency -->
		<xsl:for-each select="latency/qlatencydata"> 	
 		  <xsl:variable name="latency" select="endtoendlatency"/>
		  <tr>
			  <xsl:attribute name="class"><xsl:value-of select="rowClass"/></xsl:attribute>
			  <td class="number">
				<xsl:choose>
  					 <!--highset-->  					
					  <xsl:when test="time = $hendtoendlatencyvalue">
					        <a>
								<xsl:attribute name="name">	
										<xsl:value-of select="//highestlatency/highestendtoendlatencyAnchor"/>
								</xsl:attribute>
								<xsl:number/>
							</a>
					  </xsl:when>
  					  <xsl:when test="time = $hqcapturelatencyvalue">
				   			<a>
								<xsl:attribute name="name">	
										<xsl:value-of select="//highestlatency/highestqcapturelatencyAnchor"/>
								</xsl:attribute>
								<xsl:number/>
							</a>			  		
					  </xsl:when>
    				  <xsl:when test="time = $hqueuelatencyvalue">
				   			<a>
								<xsl:attribute name="name">	
										<xsl:value-of select="//highestlatency/highestqueuelatencyAnchor"/>
								</xsl:attribute>
								<xsl:number/>
							</a>			  							   		
					  </xsl:when>
					  <xsl:when test="time = $hqapplylatencyvalue">
				   			<a>
								<xsl:attribute name="name">	
										<xsl:value-of select="//highestlatency/highestqapplylatencyAnchor"/>
								</xsl:attribute>
								<xsl:number/>
							</a>			  		
					  </xsl:when>
					 <!-- best -->
					  <xsl:when test="time = $bendtoendlatencyvalue">
				   			<a>
								<xsl:attribute name="name">	
										<xsl:value-of select="//bestlatency/bestendtoendlatencyAnchor"/>
								</xsl:attribute>
								<xsl:number/>
							</a>			  		
					  </xsl:when>
  					  <xsl:when test="time = $bqcapturelatencyvalue">
				   			<a>
								<xsl:attribute name="name">	
										<xsl:value-of select="//bestlatency/bestqcapturelatencyAnchor"/>
								</xsl:attribute>
								<xsl:number/>
							</a>			  		
					  </xsl:when>
    				  <xsl:when test="time = $bqueuelatencyvalue">
				   			<a>
								<xsl:attribute name="name">	
									<xsl:value-of select="//bestlatency/bestqueuelatencyAnchor"/>
								</xsl:attribute>
								<xsl:number/>
							</a>			  		
					  </xsl:when>
					  <xsl:when test="time = $bqapplylatencyvalue">
				   			<a>
								<xsl:attribute name="name">	
									<xsl:value-of select="//bestlatency/bestqapplylatencyAnchor"/>
								</xsl:attribute>
								<xsl:number/>
							</a>			  		
					  </xsl:when>
					  <xsl:otherwise>
								<xsl:number/>
					  </xsl:otherwise>
				</xsl:choose>
				</td>
				
				<td>
					<xsl:attribute name="class"><xsl:value-of select="e2eCellClass"/></xsl:attribute>
				 	<xsl:value-of select="endtoendlatency"/>
				 </td>
				<xsl:choose>
					<xsl:when test="time = $hqcapturelatencyvalue">
						<td class="number error"><xsl:value-of select="qcapturelatency" /></td>
					</xsl:when>
					<xsl:otherwise>
						<td class="number"><xsl:value-of select="qcapturelatency" /></td>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="time = $hqueuelatencyvalue">
						<td class="number error"><xsl:value-of select="queuelatency" /></td>
					</xsl:when>
					<xsl:otherwise>
						<td class="number"><xsl:value-of select="queuelatency" /></td>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="time = $hqapplylatencyvalue">
						<td class="number error"><xsl:value-of select="qapplylatency" /></td>
					</xsl:when>
					<xsl:otherwise>
						<td class="number"><xsl:value-of select="qapplylatency" /></td>
					</xsl:otherwise>
				</xsl:choose>

				<td class="number"><xsl:value-of select="throughput" /></td>
				<td><xsl:value-of select="timeFormatted" /></td>					
 		     </tr>      
		</xsl:for-each>
	</table>
  </xsl:when>


  <xsl:otherwise>
  <div class="subtitle_only">
	<xsl:value-of select="$title.NoData" disable-output-escaping="yes"/>
  </div>
 </xsl:otherwise> </xsl:choose> 
</body>
<p><a name="endofreport"></a></p>
<!--  <p><a href="#backtotop">Back to Top</a></p> -->
</html>
</xsl:template>

</xsl:stylesheet>


