<?xml version="1.0" encoding="UTF-8"?>
<!--
-
- IBM Confidential
- OCO Source Materials
- 
- (C) Copyright IBM Corporation 2007. All rights reserved. 
-                                                                                   
- The source code for this program is not published or otherwise divested of
- its trade secrets, irrespective of what has been deposited with the U.S. 
- Copyright Office. 
- 
-->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:local="local">
<xsl:output encoding="UTF-8"/>
<!-- xsl:include isn't working in ISC but working in WAS
 <xsl:include href="ReportStyle.xsl"/> 
-->
<xsl:variable name="css">
BODY {
      PADDING-RIGHT: 0px; PADDING-LEFT: 0px; PADDING-BOTTOM: 0px; MARGIN: 0px; PADDING-TOP: 0px; BACKGROUND-COLOR: white; TEXT-ALIGN: left; FONT-FAMILY: Verdana, Arial, Sans-serif;
}
DIV.letterhead {
      FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif; FONT-WEIGHT: bold; FONT-SIZE: 80%; BACKGROUND-COLOR: #D1EDF9; border: 1px solid #a9a9a9; padding:10px; 
  }
DIV.letterheadtitle {
  padding:0px; font-size:80%;
}

DIV.letterheadtitle table {
  border-collapse: collapse; width:100%; padding-left:10px; font-size:100%;
}
DIV.letterheadtitle td {
  padding:10px; border:1px solid #a9a9a9; border-top: none; vertical-align:top;
}

DIV.letterheadtitle table table td, DIV.letterheadtitle table table th {
  padding:0px; border:none; vertical-align:top; text-align:left;
}


DIV.subtitle, DIV.subtitle_only {
  padding:10px; font-size:80%; border:1px solid #a9a9a9; background:#5090D0; font-weight:bold; color:#FFFFFF;
}
DIV.subtitle {
  border-bottom:0px;
}

UL.letterhead {
    PADDING-RIGHT: 0px; MARGIN-TOP: 0px; DISPLAY: inline; PADDING-LEFT: 0px; LIST-STYLE-IMAGE: none; PADDING-BOTTOM: 0px; MARGIN-RIGHT: 0px; PADDING-TOP: 0px; LIST-STYLE-TYPE: none; float:right; WHITE-SPACE: nowrap; padding-left: 20px;
}
LI.letterhead {
    DISPLAY: inline
}
A.letterhead:link {
    TEXT-DECORATION: none
}
A.letterhead:visited {
    TEXT-DECORATION: none
}
A.letterhead:hover {
    TEXT-DECORATION: underline
}
A.letterhead:active {
    TEXT-DECORATION: none
}

.style3 {color: #FF0000}


TABLE.reportTable TD, TABLE.reportTABLE TH {
	border: 1px inset #cccccc;
	vertical-align: top;
    padding-left:4px;
    padding-right:4px;
}

TABLE.reportTable TD.number, TABLE.reportTable TH.number {
  text-align:right;
}
TABLE.reportTable {
    border: 1px solid #a9a9a9;
	border-collapse: collapse;
	width:100%;
	font-size:80%;
	padding-left:1em;
}
TABLE.reportTable TH {
  background: #D1EDF9;
  font-weight: bold;
}

TABLE.reportTable TH {
  text-align:left;
}

TABLE.reportTable TD.error {
  background: #ffcccc;
  font-weight: bold;
}
TABLE.reportTable TD.errortext, TABLE.reportTable TR.total {
  font-weight: bold;
}

TABLE.reportTable TR.even {
  background: #F5F4F4;  
}

IMG.latency {
  border:1px solid #a9a9a9
}
</xsl:variable>
  <xsl:variable name="link.ASN" select="//resources/link_asn"/>
  <xsl:variable name="link.LUW" select="//resources/link_luw"/>
  <xsl:variable name="link.ZOS" select="//resources/link_zos"/>
  <xsl:variable name="link.MQ" select="//resources/link_mq"/>
  <xsl:variable name="link.Messages" select="//resources/link_messages"/>
  <xsl:variable name="title.Combined" select="//resources/title_combined"/>  
  <xsl:variable name="title.Messages" select="//resources/title_messages"/>  
  <xsl:variable name="title.DateGenerated" select="//resources/title_dategenerated"/>  
  <xsl:variable name="title.TimeRange" select="//resources/title_timerange"/>    
  <xsl:variable name="title.NumberOfMessages" select="//resources/title_numberofmessages"/>    
  <xsl:variable name="title.ProgramsInReport" select="//resources/title_programsinreport"/>    
  <xsl:variable name="title.MessagesType" select="//resources/title_messagestype"/>    
  
  <xsl:variable name="summary.Title" select="//resources/summary_title"/>    
  <xsl:variable name="summary.Server" select="//resources/summary_server"/>    
  <xsl:variable name="summary.Errors" select="//resources/summary_errors"/>      
  <xsl:variable name="summary.LastError" select="//resources/summary_lasterror"/>    
  <xsl:variable name="summary.Warnings" select="//resources/summary_warnings"/>    
  <xsl:variable name="summary.LastWarning" select="//resources/summary_lastwarning"/>
  <xsl:variable name="summary.Info" select="//resources/summary_info"/>      
  <xsl:variable name="summary.LastInfo" select="//resources/summary_lastinfo"/>
  <xsl:variable name="summary.Total" select="//resources/summary_total"/>
  <xsl:variable name="summary.Totals" select="//resources/summary_totals"/>  
  
  <xsl:variable name="messages.Title" select="//resources/table_title"/>  
  <xsl:variable name="messages.Row" select="//resources/table_row"/>  
  <xsl:variable name="messages.System" select="//resources/table_system"/>  
  <xsl:variable name="messages.MsgType" select="//resources/table_msgtype"/>  
  <xsl:variable name="messages.Time" select="//resources/table_time"/>  
  <xsl:variable name="messages.MQCode" select="//resources/table_mqcode"/>
  <xsl:variable name="messages.ReasonCode" select="//resources/table_reasoncode"/>
  <xsl:variable name="messages.MessageText" select="//resources/table_messagetext"/>  

<xsl:template match="/">
<html>
<head>
<title><xsl:value-of select="$title.Messages" disable-output-escaping="yes"/> - <xsl:value-of select="//viewName" disable-output-escaping="yes"/> - <xsl:value-of select="//title_servers" disable-output-escaping="yes"/> - <xsl:value-of select="//date" disable-output-escaping="yes"/></title>
     <style type="text/css">
     <xsl:value-of select="$css"/>
     </style>
</head>
<body>

	<DIV class="letterhead">
  
    <!-- links to the DB2 Info center for ASN, DB2 and MQ messages -->
	<UL class="letterhead">
	<LI class="letterhead"><xsl:value-of select="$link.Messages" disable-output-escaping="yes"/> -
		<LI class="letterhead"><A class="letterhead"
			href="http://publib.boulder.ibm.com/infocenter/db2luw/v9r5/topic/com.ibm.db2.luw.messages.asn.doc/doc/rasnmsg.html"
			target="_BLANK"><xsl:value-of select="$link.ASN" disable-output-escaping="yes"/> </A> </LI>
		<LI class="letterhead">|</LI>
		<LI class="letterhead"><A class="letterhead"
			href="http://publib.boulder.ibm.com/infocenter/db2luw/v9r5/topic/com.ibm.db2.luw.messages.doc/doc/rdb2stt.html"
			target="_BLANK"><xsl:value-of select="$link.LUW" disable-output-escaping="yes"/> </A></LI>
		<LI class="letterhead">|</LI>
		<LI class="letterhead"><A class="letterhead"
			href="http://publib.boulder.ibm.com/infocenter/dzichelp/v2r2/topic/com.ibm.db29.doc/db2z_mc.htm"
			target="_BLANK"><xsl:value-of select="$link.ZOS" disable-output-escaping="yes"/> </A></LI>
		<LI class="letterhead">|</LI>
		<LI class="letterhead"><A class="letterhead"
			href="http://publib.boulder.ibm.com/infocenter/wmqv6/v6r0/topic/com.ibm.mq.amqzao.doc/csq05rea3.htm"
			target="_BLANK"><xsl:value-of select="$link.MQ" disable-output-escaping="yes"/></A></LI>
	</LI>

	</UL>

 <div>	    
    <xsl:value-of select="$title.Messages" disable-output-escaping="yes"/>
</div>
</DIV>
	<div class="letterheadtitle">		    
	<table><tr><td>
	  <table>
        <tr>
	        <!-- Date generated and time range for the report -->
			<th><xsl:value-of select="$title.DateGenerated" disable-output-escaping="yes"/></th>
			<td><xsl:value-of select="//date" disable-output-escaping="yes"/></td>
		</tr>
		<tr>
			<th><xsl:value-of select="$title.TimeRange" disable-output-escaping="yes"/></th>
			<td><xsl:value-of select="//timerange" disable-output-escaping="yes"/></td>
		</tr>
		<tr>
			<th><xsl:value-of select="$title.NumberOfMessages" disable-output-escaping="yes"/></th>
			<td><xsl:value-of select="//summary/total"/></td>
		</tr>
		<tr>
		  <th><xsl:value-of select="$title.ProgramsInReport" disable-output-escaping="yes"/></th>
          <td>
				<xsl:value-of select="//title_programs" disable-output-escaping="yes"/>
          </td>
        </tr>
        <tr>
			<th><xsl:value-of select="$title.MessagesType" disable-output-escaping="yes"/></th>
			<td><xsl:value-of select="//messagesTypes" disable-output-escaping="yes"/>.</td>
		</tr>
      </table>
     </td></tr></table>
	
	</div>
    <p/>	
  
  	<!-- summary table for the number of errors, warnings, last error and last warning -->
    <div class="subtitle">
	<xsl:value-of select="$summary.Title" disable-output-escaping="yes"/>
	</div>
	<table class="reportTable">
		<tr>
			<th><xsl:value-of select="$summary.Server" disable-output-escaping="yes"/></th> 
			<th><xsl:value-of select="$summary.Errors" disable-output-escaping="yes"/></th> 
			<th><xsl:value-of select="$summary.LastError" disable-output-escaping="yes"/></th> 
			<th><xsl:value-of select="$summary.Warnings" disable-output-escaping="yes"/></th> 
			<th><xsl:value-of select="$summary.LastWarning" disable-output-escaping="yes"/></th> 
			<th><xsl:value-of select="$summary.Info" disable-output-escaping="yes"/></th> 			
			<th><xsl:value-of select="$summary.LastInfo" disable-output-escaping="yes"/></th> 				
			<th><xsl:value-of select="$summary.Total" disable-output-escaping="yes"/></th> 			
		</tr>

 		<xsl:for-each select = "//summaryprogramrow" > 	
			<tr>
				<xsl:if test="position() mod 2 != 1">
				    <xsl:attribute name="class">even</xsl:attribute>
		        </xsl:if>
				<td>
					<xsl:value-of select="server" disable-output-escaping="yes"/>
				</td>
				<!-- number of error messages for server -->
				<td class="number">
					<xsl:value-of select="errors" />
				</td>
				<!-- last error message for server -->		
				<xsl:variable name="last_error" select="last_error" />	
 				<xsl:choose>
					<xsl:when test="$last_error">
						<td class="error"><a>
										<xsl:attribute name="href">	
											<xsl:text>#</xsl:text>
											<xsl:value-of select="last_error_link"/>
										</xsl:attribute>
							<xsl:value-of select="$last_error" /></a>
						</td>
					</xsl:when>
					<xsl:otherwise>
						<td><xsl:text>-</xsl:text></td>
					</xsl:otherwise>
				</xsl:choose>

				<!-- number of warning messages for server -->
				<td class="number">
					<xsl:value-of select="warnings" />
				</td>
				<!-- last warning message for server -->
				<xsl:variable name="last_warning" select="last_warning" />	
 				<xsl:choose>
					<xsl:when test="$last_warning">
						<td><a>
							<xsl:attribute name="href">	
								<xsl:text>#</xsl:text>
								<xsl:value-of select="last_warning_link"/>
							</xsl:attribute>
							<xsl:value-of select="$last_warning" /></a>
						</td>
					</xsl:when>
					<xsl:otherwise>
						<td><xsl:text>-</xsl:text></td>
					</xsl:otherwise>
				</xsl:choose>

				<!-- number of information messages for server -->
				<td class="number">
					<xsl:value-of select="infos" />
				</td>
				<!-- last info message for server -->
				<xsl:variable name="last_info" select="last_info" />	
 				<xsl:choose>
					<xsl:when test="$last_info">
					<td><a>
						<xsl:attribute name="href">	
							<xsl:text>#</xsl:text>
							<xsl:value-of select="last_info_link"/>
						</xsl:attribute>
						<xsl:value-of select="$last_info" /></a>
						</td>
					</xsl:when>
					<xsl:otherwise>
						<td><xsl:text>-</xsl:text></td>
					</xsl:otherwise>
				</xsl:choose>

				<!-- total number of messages for server -->
				<td class="number">
					<xsl:value-of select="total" />
				</td>
			</tr>
 		</xsl:for-each>
		
 		<tr class="total" scope="row">
 			<td><xsl:value-of select="$summary.Totals" disable-output-escaping="yes"/></td>
 			<td class="number"><xsl:value-of select="//summary/total_errors" /></td>
 			<td>-</td>
 			<td class="number"><xsl:value-of select="//summary/total_warnings" /></td>
 			<td>-</td>
 			<td class="number"><xsl:value-of select="//summary/total_infos" /></td>
 			<td>-</td>
 			<td class="number"><xsl:value-of select="//summary/total" /></td>
 		</tr>
	</table>
   		
<p/>   		    	    
  
	<xsl:variable name="showV95Columns"><xsl:value-of select="//showV95Columns"/></xsl:variable>

  	<!-- detail table for messages -->
  	<div class="subtitle">
  	<xsl:value-of select="$messages.Title" disable-output-escaping="yes"/>
    </div>
	<table class="reportTable">
		<tr>
			<th><xsl:value-of select="$messages.Row" disable-output-escaping="yes"/></th> 
  		    <th><xsl:value-of select="$messages.MsgType" disable-output-escaping="yes"/></th>
			<th><xsl:value-of select="$messages.System" disable-output-escaping="yes"/></th> 	
			<xsl:choose>
				<xsl:when test="$showV95Columns='true'">
					<th><xsl:value-of select="$messages.MQCode" disable-output-escaping="yes"/></th>
					<th><xsl:value-of select="$messages.ReasonCode" disable-output-escaping="yes"/></th>
				</xsl:when>
				<xsl:otherwise>
				</xsl:otherwise>
			</xsl:choose>		
			<th><xsl:value-of select="$messages.MessageText" disable-output-escaping="yes"/></th>
			<th><xsl:value-of select="$messages.Time" disable-output-escaping="yes"/></th> 
		</tr>
      
       	<!-- detail table for messages -->

		<xsl:for-each select="messages/message"> 	      		
			<tr>
				<xsl:if test="(is_even='true')">  		
				  <xsl:attribute name="class">even</xsl:attribute>
				</xsl:if>
				<!-- if there is a link defined, attach it to the cell-->
				<xsl:variable name="link" select="link" />
 				<xsl:choose>
					<xsl:when test="$link">
						<td class="number">
							<a>
								<xsl:attribute name="name">	
									<xsl:value-of select="$link"/>
								</xsl:attribute>
 								<xsl:number/>
							</a>
						</td>
					</xsl:when>
					<xsl:otherwise>
						<td class="number"><xsl:number/></td>
					</xsl:otherwise>
				</xsl:choose>

				<td>							
					<xsl:if test="(type='ERROR')">  		
					  <xsl:attribute name="class" >error</xsl:attribute>
					</xsl:if>
					<!--<xsl:value-of select="type" /><br/>-->
					<xsl:apply-templates select="asn" mode="addASNLinks" > 
						<xsl:with-param name="type"><xsl:value-of select="type"/></xsl:with-param>  
					</xsl:apply-templates>
				</td>
				<td>
					<span style="font-size:smaller"><xsl:value-of select="system" disable-output-escaping="yes"/></span>              
				</td>
				<xsl:choose>
					<xsl:when test="$showV95Columns='true'">
						<td>
							<span style="font-size:smaller"><xsl:apply-templates select="mqCode" mode="addMQCodeLink" /></span>              
						</td>
						<td>
							<span style="font-size:smaller"><xsl:value-of select="reasonCode" disable-output-escaping="yes"/></span>              
						</td>
					</xsl:when>
					<xsl:otherwise>
					</xsl:otherwise>
				</xsl:choose>		
				<td>
					<xsl:if test="(type='ERROR')">  		
					  <xsl:attribute name="class" >errortext</xsl:attribute>
					</xsl:if>
				  
				  <xsl:value-of select="text" disable-output-escaping="yes"/> 

				</td>  
				<td><span style="font-size:smaller"><xsl:value-of select="time" disable-output-escaping="yes"/></span></td>
			</tr>      
      
		</xsl:for-each>
	</table>
</body>
</html>
</xsl:template>

<!-- add the link to the information center page for the ASN message  -->
<xsl:template match="asn" mode="addASNLinks">
	<xsl:param name="string" select="." />
	<xsl:param name="type"/>

	<xsl:choose>

		<xsl:when test="starts-with($string, 'ASN')">    		
			<a>
				<xsl:attribute name="href">	
						<xsl:text>http://publib.boulder.ibm.com/infocenter/db2luw/v9r5/topic/com.ibm.db2.luw.messages.asn.doc/doc/masn0</xsl:text>
					<xsl:value-of select="substring($string,4,4)"/>
					<xsl:choose>
						<xsl:when test="($type='ERROR')">  		
					 		<xsl:text>e</xsl:text>
						</xsl:when>
						<xsl:when test="($type='WARNING')">  		
					 		<xsl:text>w</xsl:text>
						</xsl:when>
						<xsl:when test="($type='INFO')">  		
					 		<xsl:text>i</xsl:text>
						</xsl:when>
					</xsl:choose>
					<xsl:text>.html</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="target">	
					<xsl:text>_blank</xsl:text>
				</xsl:attribute>
				<xsl:value-of select="$string"/>
				<xsl:text> </xsl:text>
			</a>

		</xsl:when>
	    <!-- if the string doesn't contain ASN, just show the value -->
		<xsl:otherwise>      
			<xsl:value-of select="$string" />
		</xsl:otherwise>
	</xsl:choose>

</xsl:template>

<!-- add the link to the MQ information center page for the MQ error code (same page for all MQ codes)  -->
<xsl:template match="mqCode" mode="addMQCodeLink" name="addMQCodeLink">
	<xsl:param name="string" select="." />

	<xsl:choose>
		<xsl:when test="$string=''">
			<xsl:value-of select="$string" disable-output-escaping="yes"/>
		</xsl:when>
		<xsl:otherwise>
			<a>
				<xsl:attribute name="href">	
					<xsl:text>http://publib.boulder.ibm.com/infocenter/wmqv6/v6r0/topic/com.ibm.mq.amqzao.doc/csq05rea3.htm</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="target">	
					<xsl:text>_blank</xsl:text>
				</xsl:attribute>
				<xsl:value-of select="$string" disable-output-escaping="yes"/>				
			</a>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>


</xsl:stylesheet>


