<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
-
- IBM Confidential
- OCO Source Materials
- 
- (C) Copyright IBM Corporation 2007. All rights reserved. 
-                                                                                   
- The source code for this program is not published or otherwise divested of
- its trade secrets, irrespective of what has been deposited with the U.S. 
- Copyright Office. 
- 
-->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!-- xsl:include isn't working in ISC but working in WAS
 <xsl:include href="ReportStyle.xsl"/> 
-->
<xsl:variable name="css">
BODY {
      PADDING-RIGHT: 0px; PADDING-LEFT: 0px; PADDING-BOTTOM: 0px; MARGIN: 0px; PADDING-TOP: 0px; BACKGROUND-COLOR: white; TEXT-ALIGN: left; FONT-FAMILY: Verdana, Arial, Sans-serif;
}
DIV.letterhead {
      FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif; FONT-WEIGHT: bold; FONT-SIZE: 80%; BACKGROUND-COLOR: rgb(192,224,159); border: 1px solid #a9a9a9; padding:10px; 
  }
DIV.letterheadtitle {
  padding:0px; font-size:80%;
}

DIV.letterheadtitle table {
  border-collapse: collapse; width:100%; padding-left:10px; font-size:100%;
}
DIV.letterheadtitle td {
  padding:10px; border:1px solid #a9a9a9; border-top: none; vertical-align:top;
}

DIV.letterheadtitle table table td, DIV.letterheadtitle table table th {
  padding:0px; border:none; vertical-align:top; text-align:left;
}


DIV.subtitle, DIV.subtitle_only {
  padding:10px; font-size:80%; border:1px solid #a9a9a9; background:#eee; font-weight:bold;
}
DIV.subtitle {
  border-bottom:0px;
}

UL.letterhead {
    PADDING-RIGHT: 0px; MARGIN-TOP: 0px; DISPLAY: inline; PADDING-LEFT: 0px; LIST-STYLE-IMAGE: none; PADDING-BOTTOM: 0px; MARGIN-RIGHT: 0px; PADDING-TOP: 0px; LIST-STYLE-TYPE: none; float:right; WHITE-SPACE: nowrap; padding-left: 20px;
}
LI.letterhead {
    DISPLAY: inline
}
A.letterhead:link {
    TEXT-DECORATION: none
}
A.letterhead:visited {
    TEXT-DECORATION: none
}
A.letterhead:hover {
    TEXT-DECORATION: underline
}
A.letterhead:active {
    TEXT-DECORATION: none
}

.style3 {color: #FF0000}


TABLE.reportTable TD, TABLE.reportTABLE TH {
	border: 1px inset #cccccc;
	vertical-align: top;
    padding-left:4px;
    padding-right:4px;
}

TABLE.reportTable TD.number, TABLE.reportTable TH.number {
  text-align:right;
}
TABLE.reportTable {
    border: 1px solid #a9a9a9;
	border-collapse: collapse;
	width:100%;
	font-size:80%;
	padding-left:1em;
}
TABLE.reportTable TH, TABLE.reportTable TR.total{
  background: #e8e8f0;
  font-weight: bold;
}

TABLE.reportTable TH.centerHeader {
  text-align:center;
}

TABLE.reportTable TH {
  text-align:left;
}

TABLE.reportTable TD.error {
  background: #ffcccc;
  font-weight: bold;
}
TABLE.reportTable TD.errortext {
  font-weight: bold;
}

TABLE.reportTable TR.even {
  background: #eee;  
}

IMG.latency {
  border:1px solid #a9a9a9
}
</xsl:variable>

  <xsl:variable name="title.Messages">Validate Report</xsl:variable>  
  <xsl:variable name="title.DateGenerated">Generated: </xsl:variable>  
  <xsl:variable name="title.ProgramsInReport">Programs: </xsl:variable>    
      
  <xsl:variable name="message.Category">Category</xsl:variable>  
  <xsl:variable name="message.Message">Message</xsl:variable>  
    
<xsl:template match="/">  
<html>  
<head>
<title><xsl:value-of select="$title.Messages"/> - <xsl:value-of select="//viewName"/> - <xsl:value-of select="//applyServer"/> - <xsl:value-of select="//date"/></title>
     <style type="text/css">
     <xsl:value-of select="$css"/>
     </style>
</head>
<body>
   
	<DIV class="letterhead">
    <div>	    
   		    <xsl:value-of select="$title.Messages"/>
    </div>	
    </DIV>

	<div class="letterheadtitle">		    
		<table><tr><td>
		  <table>
	        <tr>
		        <!-- Date generated and time range for the report -->
				<th><xsl:value-of select="$title.DateGenerated"/></th>
				<td><xsl:value-of select="//date"/></td>
			</tr>		
			<tr>
				<th><xsl:value-of select="$title.ProgramsInReport"/></th>
				<td><xsl:value-of select="//captureServer"/>, <xsl:value-of select="//applyServer"/></td>
			</tr>		
	        </table>
	     </td></tr></table>
	</div>   
	
	<table class="reportTable">
		<tr>
			<th align="left"><xsl:value-of select="$message.Category"/></th> 
			<th align="left"><xsl:value-of select="$message.Message"/></th>
		</tr>
 
		<xsl:for-each select="messages/message">
			<tr>
				<xsl:if test="position() mod 2 != 1">
		          <xsl:attribute name="class">even</xsl:attribute>
			    </xsl:if>
				<td style="width:30px"><xsl:value-of select="category"/></td>
				<td><xsl:value-of select="message" /></td>				
			</tr>
		</xsl:for-each>

	</table>
</body>
</html>
</xsl:template>


</xsl:stylesheet>